# Generated from mustermann19-0.4.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mustermann19

Name: rubygem-%{gem_name}
Version: 0.4.4
Release: 1%{?dist}
Summary: use patterns like regular expressions
License: MIT
URL: https://github.com/namusyaka/mustermann
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(addressable)
# BuildRequires: rubygem(sinatra) >= 1.4
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
library implementing patterns that behave like regular expressions for use in
Ruby 1.9.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bench
%{gem_libdir}
%{gem_instdir}/mustermann
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mustermann.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.4.4-1
- Initial package
